<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Roles</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>Roles</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLEnumeration"></span>
                    UMLEnumeration
                </span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon _icon-UMLModel'></span>Clases</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='f184645498f4bae0a07a7c2294f5e012.html'><span class='node-icon _icon-UMLEnumeration'></span>Roles</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <p>Cada uno de los roles específicos se puede implementar en Java como un &quot;EnumSet&quot; dentro del Enum de Roles.</p>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            
                
                


                
                


                
                


                
                


                
                

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            

            <!-- Operations -->

            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>Roles</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                
<section class="element-list">
    <h3>Dependants</h3>
    <ul class="nav nav-list">
        
        <li><a href='f6a6ba92cd9e3bc12602bb23e4812158.html'><span class='node-icon _icon-UMLEnumeration'></span>GooseRol</a></li>
        
        <li><a href='c8ee87bc059a9af2afda2328d51e9540.html'><span class='node-icon _icon-UMLEnumeration'></span>SerialRol</a></li>
        
    </ul>
</section>


            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='31dc89b0963ba96ad11c4432072c3b5c.html'><span class='node-icon _icon-UMLDependency'></span>(GooseRol→Roles)</a></li>
        
        <li><a href='34d4baa6149ef1bd8982c701d1a7255f.html'><span class='node-icon _icon-UMLDependency'></span>(SerialRol→Roles)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='f6a6ba92cd9e3bc12602bb23e4812158.html'><span class='node-icon _icon-UMLEnumeration'></span>GooseRol</a></li>
        
        <li><a href='c8ee87bc059a9af2afda2328d51e9540.html'><span class='node-icon _icon-UMLEnumeration'></span>SerialRol</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
